package com.activiti6.service.activiti;

import com.activiti6.domain.*;

import java.util.List;

public interface LeaveNewService {
    int add(MyFormDataActiviti myFormDataActiviti, Long userId);

    List<MyFormDataActiviti> select(Long userId);

    MyFormDataActiviti get(Long id);

    int update(MyFormDataActiviti myFormData, Long userId);

    int remove(List<Long> ids);

    Object getFormData(String processKey, Long userId);

    void submitApply(Long id, Long userId);

    TableDataInfo findTodoTasks(MyTaskVo myTaskVoForm,String userId) throws InterruptedException;

    MyFormData taskFormData(MyTaskVo myTaskVo);

    void taskCommit(TaskCommitForm taskCommitForm,SysUser user);

    List<FormsVo> showForms(String instanceId);

    List<MyFormDataActiviti> taskDoneList(MyFormDataActiviti myFormDataActiviti,String user);

    List<MyTaskVo> taskList(String id);

    String taskUserMsg(String userId);
}
